Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 122827 - USB printing fails
USB printing fails
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-08 15:35 EDT by David Woodhouse
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:26:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2004-05-08 15:35:53 EDT
Description of problem:
About 50% of the time, USB printing will fail with an endless stream
of errors logged by the kernel. The printer is a Hewlett-Packard
LaserJet 1200 on OHCI. 

The system does not recover unless the printer is physically removed
or power cycled. When this happens CUPS loses the print job which was
currently being spooled, and it must be resubmitted.

Version-Release number of selected component (if applicable):
2.6.5-1.346smp i686.

How reproducible:
50%

May  7 07:12:56 imladris kernel: usb 1-1.3.2: new full speed USB
device using address 10
May  7 07:12:56 imladris kernel: drivers/usb/class/usblp.c: usblp0:
USB Bidirectional printer dev 10 if 0 alt 1 proto 2 vid 0x03F0 pid 0x0317
May  8 20:26:12 imladris kernel: drivers/usb/class/usblp.c: usblp0:
nonzero read/write bulk status received: -110
May  8 20:26:12 imladris kernel: drivers/usb/class/usblp.c: usblp0:
failed reading printer status
May  8 20:26:12 imladris kernel: drivers/usb/class/usblp.c: usblp0:
nonzero read/write bulk status received: -110
May  8 20:26:12 imladris kernel: drivers/usb/class/usblp.c: usblp0:
error -110 reading printer status
May  8 20:26:43 imladris last message repeated 10225 times
May  8 20:27:09 imladris last message repeated 8780 times
May  8 20:27:09 imladris kernel: drivers/usb/class/usblp.c: usblp0:
error -110 reading printer status
May  8 20:27:09 imladris last message repeated 169 times
May  8 20:27:09 imladris kernel: drivers/usb/class/usblp.c: usblp0:
error -110 reading printer status
May  8 20:27:10 imladris last message repeated 168 times
May  8 20:27:10 imladris kernel: drivers/usb/class/usblp.c: usblp0:
error -110 reading printer status
May  8 20:27:10 imladris last message repeated 169 times
May  8 20:27:10 imladris kernel: drivers/usb/class/usblp.c: usblp0:
error -110 reading printer status
May  8 20:27:11 imladris last message repeated 168 times
May  8 20:27:11 imladris kernel: drivers/usb/class/usblp.c: usblp0:
error -110 reading printer status
May  8 20:27:11 imladris last message repeated 168 times
May  8 20:27:11 imladris kernel: drivers/usb/class/usblp.c: usblp0:
error -110 reading printer status
May  8 20:27:12 imladris last message repeated 169 times
May  8 20:27:12 imladris kernel: drivers/usb/class/usblp.c: usblp0:
error -110 reading printer status
May  8 20:27:12 imladris last message repeated 168 times
May  8 20:27:12 imladris kernel: drivers/usb/class/usblp.c: usblp0:
error -110 reading printer status
May  8 20:27:13 imladris last message repeated 168 times
May  8 20:27:13 imladris kernel: drivers/usb/class/usblp.c: usblp0:
error -110 reading printer status
May  8 20:27:13 imladris last message repeated 169 times
May  8 20:27:13 imladris kernel: drivers/usb/class/usblp.c: usblp0:
error -110 reading printer status
May  8 20:27:37 imladris last message repeated 7951 times
May  8 20:27:37 imladris kernel: usb 1-1.3.2: USB disconnect, address 10
May  8 20:27:37 imladris kernel: drivers/usb/class/usblp.c: usblp0:
error -110 reading printer status
May  8 20:27:37 imladris kernel: drivers/usb/class/usblp.c: usblp0:
error -19 reading printer status
May  8 20:27:38 imladris last message repeated 55 times
May  8 20:27:38 imladris kernel: dror -19 reading printer status
May  8 20:27:38 imladris kernel: drivers/usb/class/usblp.c: usblp0:
error -19 reading printer status
May  8 20:27:38 imladris last message repeated 1844 times
May  8 20:27:38 imladris kernel: drivers/usb/class/usblp.c: usblp0:
removed
May  8 20:27:57 imladris kernel: usb 1-1.3.2: new full speed USB
device using address 11
May  8 20:27:57 imladris kernel: drivers/usb/class/usblp.c: usblp0:
USB Bidirectional printer dev 11 if 0 alt 1 proto 2 vid 0x03F0 pid 0x0317
Comment 1 Pete Zaitcev 2004-05-09 13:17:14 EDT
It's very nice that the error persists, because it gives us
an opportunity to do this:
 - Shut down CUPS with "service cups stop"
 - cat /etc/hosts > /dev/usb/lp0
If it causes the same errors, as it should, do this:
 - strace -o /tmp/trace.out cat /etc/hosts > /dev/usb/lp0
Interrupt with ^C if the thing loops.
Attach the trace to the bug.
Comment 2 David Woodhouse 2004-05-10 07:31:59 EDT
Bah. It's apparently been doing it all the time while I've been away
for the last few weeks, but now I'm trying to reproduce it, it won't
-- even when I send PCL jobs from Windows. Dunno if that's because
it's actually fixed in 2.6.5-1.354smp, but I don't see that anything
relevant changed.

I've left cups stracing _every_ print job backend. We're going to see
that it ends up in D state in sys_write()... then what?
Comment 3 Pete Zaitcev 2004-08-19 18:59:00 EDT
David, what is the status of this? Does it keep happening?
What kernel versions?
Comment 4 David Woodhouse 2004-08-20 04:42:43 EDT
Not entirely sure -- it's only The Boss who prints stuff at home and
she hasn't complained recently -- but then again it's the summer
holidays so she's mostly watching the Olympics and not really working.

I thought I saw another patch which was supposed to fix it in
2.6.7-494.2.2, and I couldn't swear that it's happened since then. Now
testing 2.6.8-1.520.

I did catch one strace but then tmpwatch ate it. :)
Comment 5 Pete Zaitcev 2004-08-20 04:52:37 EDT
I think this should fix this bug (rcomplete=0):
 http://lkml.org/lkml/2004/7/27/156

It's in 2.6.8, but maybe earlier. The stock 2.6.7 is problematic.
The 2.6.7-494.2.2 is fixed, I checked.

Please close if it's not a problem anymore.
Comment 6 Pete Zaitcev 2004-10-04 21:52:26 EDT
(self-closing - looks like David forgot about it)
Comment 7 David Woodhouse 2004-10-20 16:17:38 EDT
Just happened again with 2.6.8-1.631.dwmw2smp (which differs only in
having the updated speedtouch driver, and the separate kernel-devel stuff)
Comment 8 Pete Zaitcev 2004-10-20 20:00:30 EDT
I'm sure it's not your Speedtouch patch, I saw that and it's ok.
Was the symptom the same (flood of -110s in the read pipe?)
Comment 9 David Woodhouse 2004-10-20 20:05:38 EDT
Yes, precisely the same. Also reported on lkml recently:

From:   Georg Schild <dangertools@gmx.net>
Subject: Weird behaviour of usb printer (drivers/usb/class/usblp.c: 
         usblp0: error -110 reading printer status)
Date:   Sun, 17 Oct 2004 23:34:12 +0200
Message-ID: <4172E554.1000906@gmx.net>
Comment 10 Dave Jones 2004-12-07 01:02:00 EST
fixed in 2.6.9 ?
Comment 11 Pete Zaitcev 2004-12-07 01:22:56 EST
No, Dave, don't needinfo this... It's a bug on my special list of
unsolvable cases (I mean... unsolvable without the equipment access).

I keep the printer driver same between 2.6 and 2.4, fixes go both
directions. No hope for 2.6 separate from 2.4.
Comment 12 Dave Jones 2005-04-16 00:26:18 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.